Bug 135501 - iiimf candidate window and hotmenu placed at top-left
iiimf candidate window and hotmenu placed at top-left
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: i18n
Depends On:
Blocks: IIIMF FC4Target 157871 158507
  Show dependency treegraph
 
Reported: 2004-10-13 00:04 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: firefox-1.0.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 01:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
candidate window for chinput LE in epiphany (229.18 KB, image/png)
2004-10-13 00:08 EDT, Lawrence Lim
no flags Details
hotkey menu in the browser (237.28 KB, image/png)
2004-10-13 00:26 EDT, Lawrence Lim
no flags Details
strace from firefox test package on zh_TW candidate window positioning. (1.74 MB, text/plain)
2005-05-06 01:09 EDT, Lawrence Lim
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 281339 None None None Never

  None (edit)
Description Lawrence Lim 2004-10-13 00:04:45 EDT
Description of problem:
It has been observed that when using IIIMF in mozilla, the candidate
window will always be position at 0,0. In addition, it is not possible
to move the window elsewhere using mouse click.

This bugs affects all LE with candidate window option and hotkey menu

Version-Release number of selected component (if applicable):
- im-sdk-12.0.1-13.svn1943
- mozilla-1.7.3-11

How reproducible:
Always

Steps to Reproduce:
1.in gdm login as normal user with simplified chinese / gnome session
2.after run gnome, press alt-f2 to run dialog, enter epiphany
3.in the browser, goto URL, http:www.google.com
4.in the Search Text Box, activate LE
5.enter hong

OR
1.in gdm login as normal user with simplified chinese / gnome session
2.after run gnome, press alt-f2 to run dialog, enter epiphany
3.in the browser, goto URL, http:www.google.com
4.ctrl-shift-space to acticate hotkey menu  

Actual results:
Both the candidate window and hotkey menu are displayed in the 0,0
position.

Expected results:
Should follow the cursor position and allow user to move the menu around.

Additional info:
Please see attached screenshot for more detail.
Comment 1 Lawrence Lim 2004-10-13 00:08:30 EDT
Created attachment 105111 [details]
candidate window for chinput LE in epiphany
Comment 2 Lawrence Lim 2004-10-13 00:26:17 EDT
Created attachment 105112 [details]
hotkey menu in the browser
Comment 3 Jens Petersen 2004-12-07 09:49:50 EST
Same is true for firefox, but isn't this a moz issue?
Comment 4 Leon Ho 2004-12-08 20:56:39 EST
Marking as FC4Target
Comment 5 Leon Ho 2005-01-04 15:44:27 EST
Seems mozilla/firefox does not notify immodule on cursor position.
Moving component to mozilla.
Comment 6 Jens Petersen 2005-03-18 02:45:04 EST
Any input needed for this?
Comment 7 Christopher Aillon 2005-05-04 12:53:46 EDT
Is this the same as upstream bug
https://bugzilla.mozilla.org/show_bug.cgi?id=281339 ?  That has a checkin, but
would need to be patched in mozilla/firefox branches.
Comment 8 Lawrence Lim 2005-05-05 00:12:11 EDT
Hi Chris,
Yes, I believe it is the same. Be happy to confirm the bug for you once the
package is ready. :-)


Comment 15 Jens Petersen 2005-05-16 11:11:12 EDT
Looks good to me in firefox-1.0.4-2.
Comment 16 Lawrence Lim 2005-05-23 01:27:46 EDT
Looks good for all locale except zh_TW (xcin) and hotkey menu in firefox-1.0.4-2.
Creating bug 158507 for tracking.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.